Bug 789055 - Review Request: japa - JACK and ALSA Perceptual Analyser
Review Request: japa - JACK and ALSA Perceptual Analyser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Shaw
Fedora Extras Quality Assurance
:
Depends On: 788718
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-02-09 11:40 EST by Brendan Jones
Modified: 2012-07-15 17:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-15 17:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hobbes1069: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-02-09 11:40:55 EST
Japa (JACK and ALSA Perceptual Analyser), is a 'perceptual' or
'psychoacoustic' audio spectrum analyser.

This is another package being ported from Planet CCRMA

In contrast to JAAA, this is more an acoustical or musical tool than a
purely technical one. Possible uses include spectrum monitoring while
mixing or mastering, evaluation of ambient noise, and (using pink
noise), equalisation of PA systems.


SRPM: http://bsjones.fedorapeople.org/japa-0.6.0-2.fc16.src.rpm
SPEC: http://bsjones.fedorapeople.org/japa.spec
Comment 1 Brendan Jones 2012-02-09 11:42:17 EST
This also depends on clalsadrv, currently on the review list here (bug 788718.)
Comment 2 Richard Shaw 2012-04-19 10:00:24 EDT
Looks like the links are bad...
Comment 3 Brendan Jones 2012-04-19 10:06:00 EDT
Sorry, good now.
Comment 4 Richard Shaw 2012-04-19 14:14:20 EDT
Spec looks good and it did build for rawhide for me in mock.

Rpmlint produces some output, largely FSF address related:
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/rngen.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/audio.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/messages.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/styles.cc
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/gobjects.cc
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/analyser.cc
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/analyser.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/gobjects.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/audio.cc
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/prbsgen.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/mainwin.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/mainwin.cc
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/japa.cc
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/styles.h
japa-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/japa-0.6.0/rngen.cc

Those should be reported upstream...

Also, desktop-file-install complains a little but fixes the problem. This should probably be reported upstream as well:
+ desktop-file-install --dir /builddir/build/BUILDROOT/japa-0.6.0-2.fc18.x86_64/usr/share/applications /builddir/build/SOURCES/japa.desktop
/builddir/build/SOURCES/japa.desktop: warning: key "Categories" is a list and does not have a semicolon as trailing character, fixing

I'll start the formal review as soon as I get a little time. For now, back to work for me!
Comment 5 Richard Shaw 2012-04-20 15:25:59 EDT
+: OK
-: must be fixed
=: should be fixed (at your discretion)
?: Question or clairification needed
N: not applicable

MUST:
[+] rpmlint output: shown in comment.
[+] follows package naming guidelines
[+] spec file base name matches package name
[+] package meets the packaging guidelines
[+] package uses a Fedora approved license: GPLv2+
[+] license field matches the actual license.
[+] license file is included in %doc: COPYING
[+] spec file is in American English
[+] spec file is legible
[+] sources match upstream: md5sum matches (ed7d752924bfecdb76786bcbde223bc8)
[+] package builds on at least one primary arch: Tested F16/rawhide x86_64
[N] appropriate use of ExcludeArch
[+] all build requirements in BuildRequires
[N] spec file handles locales properly
[N] ldconfig in %post and %postun
[+] no bundled copies of system libraries
[+] no relocatable packages
[+] package owns all directories that it creates
[+] no files listed twice in %files
[+] proper permissions on files
[+] consistent use of macros
[+] code or permissible content
[N] large documentation in -doc
[+] no runtime dependencies in %doc
[N] header files in -devel
[N] static libraries in -static
[N] .so in -devel
[N] -devel requires main package
[+] package contains no libtool archives
[+] package contains a desktop file, uses desktop-file-install/validate
[+] package does not own files/dirs owned by other packages
[+] all filenames in UTF-8

SHOULD:
[+] query upstream for license text
[N] description and summary contains available translations
[+] package builds in mock
[+] package builds on all supported arches: Tested x86_64
[?] package functions as described: Not tested
[+] sane scriptlets
[N] subpackages require the main package
[N] placement of pkgconfig files
[+] file dependencies versus package dependencies
[N] package contains man pages for binaries/scripts

The two problems in comment 4 should be taken care of but they're not blockers.

*** APPROVED ***
Comment 6 Brendan Jones 2012-07-04 06:00:34 EDT
New Package SCM Request
=======================
Package Name: japa
Short Description: JACK and ALSA Perceptual Analyser
Owners: bsjones
Branches: f16 f17
InitialCC:
Comment 7 Jon Ciesla 2012-07-04 16:59:02 EDT
Git done (by process-git-requests).

Richard, please take ownership of review BZs.  Thanks!
Comment 8 Richard Shaw 2012-07-04 17:34:42 EDT
(In reply to comment #7)
> Richard, please take ownership of review BZs.  Thanks!

Whoops! Fixed.
Comment 9 Brendan Jones 2012-07-04 22:40:12 EDT
Thanks for the review Richard.
Comment 10 Fedora Update System 2012-07-04 23:18:45 EDT
japa-0.6.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/japa-0.6.0-3.fc16
Comment 11 Fedora Update System 2012-07-04 23:18:55 EDT
japa-0.6.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/japa-0.6.0-3.fc17
Comment 12 Fedora Update System 2012-07-05 19:33:14 EDT
japa-0.6.0-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 13 Fedora Update System 2012-07-15 17:25:16 EDT
japa-0.6.0-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-07-15 17:27:03 EDT
japa-0.6.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.